Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.security.token
Class Token.TrivialRenewer

    java.lang.Object
      org.apache.hadoop.security.token.TokenRenewer
          org.apache.hadoop.security.token.Token.TrivialRenewer

Direct Known Subclasses:
  JobTokenIdentifier.Renewer

Enclosing class:
  Token<T extends TokenIdentifier>

    public static class Token.TrivialRenewer

extends TokenRenewer

A trivial renewer for token kinds that aren't managed. Sub-classes need to implement getKind for their token kind.

Constructor Summary
`Token.TrivialRenewer()`

Method Summary
`void` | `cancel(Token<?> token, Configuration conf)` Cancel the given token
`protected Text` | `getKind()`
`boolean` | `handleKind(Text kind)` Does this renewer handle this kind of token?
`boolean` | `isManaged(Token<?> token)` Is the given token managed? Only managed tokens may be renewed or cancelled.
`long` | `renew(Token<?> token, Configuration conf)` Renew the given token.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Token.TrivialRenewer

    public Token.TrivialRenewer()

Method Detail

### getKind

    protected Text getKind()

### handleKind

    public boolean handleKind(Text kind)

  Description copied from class: `TokenRenewer`
  Does this renewer handle this kind of token?

  Specified by:
    `handleKind` in class `TokenRenewer`
  Parameters:
    `kind` - the kind of the token
  Returns:
    true if this renewer can renew it

### isManaged

    public boolean isManaged(Token<?> token)

  Description copied from class: `TokenRenewer`
  Is the given token managed? Only managed tokens may be renewed or cancelled.

  Specified by:
    `isManaged` in class `TokenRenewer`
  Parameters:
    `token` - the token being checked
  Returns:
    true if the token may be renewed or cancelled

### renew

    public long renew(Token<?> token,
                      Configuration conf)

  Description copied from class: `TokenRenewer`
  Renew the given token.

  Specified by:
    `renew` in class `TokenRenewer`
  Returns:
    the new expiration time

### cancel

    public void cancel(Token<?> token,
                       Configuration conf)
                throws IOException,
                       InterruptedException

  Description copied from class: `TokenRenewer`
  Cancel the given token

  Specified by:
    `cancel` in class `TokenRenewer`
  Throws:
    `IOException`
    `InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation